Subject: vncserver problems

From: Glenn Holmer <[email-masked]>
Date: Sat, 24 Sep 2016 15:55:27 -0500

Fresh install of Debian testing on a machine that runs headless. I want
to start an X session from my .vnc/xstartup. Installed with XFCE.

The machine was previously running Jessie (which is still there in a
GRUB multi-boot configuration), so I configured testing according to my
notes from Jessie. But I am seeing some strange things in vncviewer:

1) Right-clicks do nothing in synaptic, and the menus don't drop down
when left-clicked. I see the same symptoms in virt-manager.

2) Tab key doesn't work in xfce4-terminal (it acts as though I had
pressed alt-tab, switching to another app on the screen). Doesn't work
in an authentication dialog in Firefox either, but it doesn't switch
apps (that one I can get around that by clicking on the next field).

I wanted to try uninstalling tightvncserver and trying vnc4server
instead, but it doesn't seem to be in the repo...? However it is in
sid's repo. Anyway, installed from there with no difference at all.

My .vnc/xstartup file has just two lines:
export XKL_XMODMAP_DISABLE=1
. /etc/X11/Xsession

and I'm starting vncserver like this:
vncserver :1 -geometry 1024x768 -depth 24 -name www1

Can anyone help?

-- 
Glenn Holmer (Linux registered user #16682)
"After the vintage season came the aftermath -- and Cenbe."